ppufiles(1)

NAME
ppufiles - The FPC Pascal unit object file lister.

SYNOPSIS

ppufiles [options] [file [file [file]]]

Description

ppufiles lists all the binary files that are needed to link a unit file. This includes any object files or libraries that must be linked in through some directive in the unit.

Usage

You can invoke ppufiles with as arguments the name of the units whose object files you wish to list. An extension must be given. This can be useful for creating a listing of all created object files and deleting them in a Makefile.

Options

ppufiles has several options, which are case insensitive:

    -a  This option tells ppufiles to list all files.

    -h  Help screen.

    -l  This option tells ppufiles to list only shared libraries.

    -o  This option tells ppufiles to list only object files.

    -s  This option tells ppufiles to list only static libraries.

ERRORS
In case the unit is in an older or unrecognised format, ppufiles will complain about that.

SEE ALSO

    ppc386(1) ppumove(1) make(1)